package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

public class QueryDishes2RecipeDto {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("查询日期")
   private List<LocalDate> dates;
   @ApiModelProperty("添加的菜品信息")
   private Long dishesId;
   @ApiModelProperty("规格类型(1-标准,2-大份,3-小份,4-50g,5-100g)")
   private Long sizeType;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public List<LocalDate> getDates() {
      return this.dates;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setDates(final List<LocalDate> dates) {
      this.dates = dates;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }
}
